
import "Betsiel.FilterBag";

filterBag = FilterBagWindow();
filterBag:SetVisible( true );

Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack1, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack2, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack3, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack4, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack5, false );


filterBagCommand = Turbine.ShellCommand();

function filterBagCommand:Execute( command, arguments )
	if ( arguments == "show" ) then
		filterBag:SetVisible( true );
	elseif ( arguments == "hide" ) then
		filterBag:SetVisible( false );
	elseif ( arguments == "toggle" ) then
		filterBag:SetVisible( not filterBag:IsVisible() );
	elseif ( arguments == "refresh" ) then
		filterBag:Refresh();
	elseif ( arguments ~= nil ) then
		local opacity = tonumber( arguments )

		if ( ( opacity ~= nil ) and ( opacity > 0 ) ) then
			filterBag:SetOpacity( opacity );
		end
	end
end

function filterBagCommand:GetHelp()
	return "FilterBag\n\ntob show: Display the one bag\ntob hide: Hides the one bag";
end

function filterBagCommand:GetShortHelp()
	return "Shows or hides FilterBag.";
end

Turbine.Shell.AddCommand( "tob;filterbag", filterBagCommand );

listCommandsCommand = Turbine.ShellCommand();

function listCommandsCommand:Execute( command, arguments )
	local commands = Turbine.Shell.GetCommands();

	local allCommands = ""

	for key, value in pairs(commands) do
		allCommands = allCommands .. ", " .. value
	end
	
	Turbine.Shell.WriteLine( allCommands )
end

Turbine.Shell.AddCommand( "listcommands", listCommandsCommand );

doomCommand = Turbine.ShellCommand();

function doomCommand:Execute( command, arguments )
	Turbine.Shell.Execute( "/plugins unload filterbag" );
end

Turbine.Shell.AddCommand( "doom", doomCommand );
